[ARVADOS-ORG] updated: 0e0a8756e466b0f1ba22c79dedfb984f72510701
Git user
git at public.curoverse.com
Mon Nov 20 17:14:43 EST 2017
Summary of changes:
arvados-version-server/cmd/get-latest-package-versions.sh | 4 ++++
1 file changed, 4 insertions(+)
discards e39050a48b416e28e88e22a74aef7ba6a9f50480 (commit)
via 0e0a8756e466b0f1ba22c79dedfb984f72510701 (commit)
This update added new revisions after undoing existing revisions. That is
to say, the old revision is not a strict subset of the new revision. This
situation occurs when you --force push a change and generate a repository
containing something like this:
* -- * -- B -- O -- O -- O (e39050a48b416e28e88e22a74aef7ba6a9f50480)
\
N -- N -- N (0e0a8756e466b0f1ba22c79dedfb984f72510701)
When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 0e0a8756e466b0f1ba22c79dedfb984f72510701
Author: Ward Vandewege <ward at curoverse.com>
Date: Mon Nov 20 17:11:22 2017 -0500
Add shell script to query version server.
No issue #
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <wvandewege at veritasgenetics.com>
diff --git a/arvados-version-server/cmd/get-latest-package-versions.sh b/arvados-version-server/cmd/get-latest-package-versions.sh
new file mode 100755
index 0000000..8840031
--- /dev/null
+++ b/arvados-version-server/cmd/get-latest-package-versions.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+REVISION=$1
+
+if [[ "$REVISION" == "" ]]; then
+ echo
+ echo "Syntax: $0 git-revision"
+ echo
+ exit 1
+fi
+
+JSON=`curl -s http://versions.arvados.org/v1/commit/$REVISION`
+
+echo "versions:"
+echo " default-docker-jobs-image-hash: "`echo $JSON | jq -r .Versions.Docker.\"arvados/jobs\"`
+echo $JSON |jq -r .Versions.Gem |grep ':' |sed -e 's/[",]//g' -e 's/:/-gem:/'
+echo $JSON |jq -r .Versions.Distribution |grep ':' |sed -e 's/[",]//g' -e 's/$/\*/'
+
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list